Debian Bug report logs - #404099
gzip: [zdiff:manual] DESCRIPTION is too general "...diff..compressed files"

version graph

Package: gzip; Maintainer for gzip is Bdale Garbee <bdale@gag.com>; Source for gzip is src:gzip.

Reported by: Jari Aalto <jari.aalto@cante.net>

Date: Thu, 21 Dec 2006 19:44:26 UTC

Severity: normal

Found in version gzip/1.3.9-1

Fixed in version gzip/1.3.12-1

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bug-gzip@gnu.org, Bdale Garbee <bdale@gag.com>:
Bug#404099; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
New Bug report received and forwarded. Copy sent to bug-gzip@gnu.org, Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gzip: [zdiff:manual] DESCRIPTION is too general "...diff..compressed files"
Date: Thu, 21 Dec 2006 21:24:15 +0200
Package: gzip
Version: 1.3.9-1
Severity: normal

zdiff(1) manual page reads:

  DESCRIPTION
       Zcmp  and  zdiff  are  used to invoke the cmp or the diff program on com-
       pressed files.  All options specified are passed directly to cmp or diff.

The wording "...copressed files is too general". Please state that this
is only for gzip compressed files.

SUGGESTION

  DESCRIPTION
       Zcmp  and  zdiff  are  used to invoke the cmp or the diff program on com-
!       pressed gzip files.  All options specified are passed directly to cmp or diff.


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18-3-686
Locale: LANG=C, LC_CTYPE=C (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US)

Versions of packages gzip depends on:
ii  debianutils                  2.17.4      Miscellaneous utilities specific t
ii  libc6                        2.3.6.ds1-9 GNU C Library: Shared libraries

gzip recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#404099; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 404099@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Jari Aalto <jari.aalto@cante.net>, 404099@bugs.debian.org
Subject: Re: Bug#404099: gzip: [zdiff:manual] DESCRIPTION is too general "...diff..compressed files"
Date: Thu, 21 Dec 2006 18:09:07 -0700
On Thu, 2006-12-21 at 21:24 +0200, Jari Aalto wrote:
> Package: gzip
> Version: 1.3.9-1
> Severity: normal
> 
> zdiff(1) manual page reads:
> 
>   DESCRIPTION
>        Zcmp  and  zdiff  are  used to invoke the cmp or the diff program on com-
>        pressed files.  All options specified are passed directly to cmp or diff.
> 
> The wording "...copressed files is too general". Please state that this
> is only for gzip compressed files.

I'm not convinced.  While it can't handle every format that exists, the
gzip program will uncompress files in more than one format, so your
suggestion isn't really any more accurate.

Bdale




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#404099; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Paul Eggert <eggert@CS.UCLA.EDU>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #15 received at 404099@bugs.debian.org (full text, mbox):

From: Paul Eggert <eggert@CS.UCLA.EDU>
To: Jari Aalto <jari.aalto@cante.net>
Cc: 404099@bugs.debian.org
Subject: Re: Bug#404099: gzip: [zdiff:manual] DESCRIPTION is too general "...diff..compressed files"
Date: Fri, 22 Dec 2006 17:02:57 -0800
Thanks, I installed this fix into gzip:

2006-12-22  Paul Eggert  <eggert@cs.ucla.edu>

	* zdiff.1: Mention that these programs currently understand only
	formats that gzip does.  Problem reported by Jari Aalto in
	<http://bugs.debian.org/404099>.

--- zdiff.1	16 Jun 1993 16:35:26 -0000	1.1
+++ zdiff.1	23 Dec 2006 01:02:00 -0000
@@ -17,7 +17,9 @@ are used to invoke the
 .I cmp
 or the
 .I diff
-program on compressed files.  All options specified are passed directly to
+program on files compressed via
+.IR gzip "."
+All options specified are passed directly to
 .I cmp
 or
 .IR diff "."





Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jari Aalto <jari.aalto@cante.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 404099-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 404099-close@bugs.debian.org
Subject: Bug#404099: fixed in gzip 1.3.12-1
Date: Wed, 13 Jun 2007 23:02:06 +0000
Source: gzip
Source-Version: 1.3.12-1

We believe that the bug you reported is fixed in the latest version of
gzip, which is due to be installed in the Debian FTP archive:

gzip_1.3.12-1.diff.gz
  to pool/main/g/gzip/gzip_1.3.12-1.diff.gz
gzip_1.3.12-1.dsc
  to pool/main/g/gzip/gzip_1.3.12-1.dsc
gzip_1.3.12-1_i386.deb
  to pool/main/g/gzip/gzip_1.3.12-1_i386.deb
gzip_1.3.12.orig.tar.gz
  to pool/main/g/gzip/gzip_1.3.12.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 404099@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated gzip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 13 Jun 2007 18:55:42 -0400
Source: gzip
Binary: gzip
Architecture: source i386
Version: 1.3.12-1
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 gzip       - The GNU compression utility
Closes: 177942 225864 362786 366660 367400 383358 402042 404062 404099 404114 419895
Changes: 
 gzip (1.3.12-1) unstable; urgency=low
 .
   * new upstream version, closes: #177942, #225864, #362786, #366660, #367400,
     #383358, #402042, #404099, #404114, #419895
   * fix delivery of upstream ChangeLog, closes: #404062
Files: 
 d33a83601c01806bf7117e92ad49cf94 553 utils required gzip_1.3.12-1.dsc
 b5bac2d21840ae077e0217bc5e4845b1 462169 utils required gzip_1.3.12.orig.tar.gz
 ee3961eed29e786f60c13533b0836cf0 11721 utils required gzip_1.3.12-1.diff.gz
 b99c1f2c598ee0ab2a3bedbc0674ec63 101672 utils required gzip_1.3.12-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGcHZKZKfAp/LPAagRAp1hAJ9RoVn9dZDF1ma/+wiolZjixO46sQCeIdX+
yca5Z77H6gKKoLCCGfFHjKk=
=BHHf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jul 2007 08:09:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:59:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.